// Message types sent from App.js / React Native -> Bridge.js / React
export const BRIDGE_MESSAGE_TYPES = {
  CREATE_DEFAULT_WALLET: "CREATE_DEFAULT_WALLET",
  CREATE_SCRATCHPAD_WALLET: "CREATE_SCRATCHPAD_WALLET",
  REQUEST_BALANCE_AND_ADDRESS: "REQUEST_BALANCE_AND_ADDRESS",
  SEND_COINS: "SEND_COINS",
  GET_WALLET_HISTORY: "GET_WALLET_HISTORY",
};

// Message types sent from Bridge.js / React -> App.js / React Native
export const RESPONSE_MESSAGE_TYPES = {
  // Paired directly with their input BRDIGE_MESSAGE_TYPES
  CREATE_DEFAULT_WALLET_RESPONSE: "CREATE_DEFAULT_WALLET_RESPONSE",
  CREATE_SCRATCHPAD_WALLET_RESPONSE: "CREATE_SCRATCHPAD_WALLET_RESPONSE",
  REQUEST_BALANCE_AND_ADDRESS_RESPONSE: "REQUEST_BALANCE_AND_ADDRESS_RESPONSE",
  GET_WALLET_HISTORY_RESPONSE: "GET_WALLET_HISTORY_RESPONSE",
  // Only appears from SEND_COINS response in case of error
  SEND_COINS_RESPONSE_FAIL: "SEND_COINS_RESPONSE_FAIL",
  // Can be returned in response to any message
  ERROR: "ERROR",
  // Special response type, not paired with or triggered by an incoming BRIDGE_MESSAGE_TYPE
  RECEIVED_COINS: "RECEIVED_COINS",
  // Triggered by SEND_COINS, but only indirectly via a detected balance change
  SEND_COINS_RESPONSE_DETECTED: "SEND_COINS_RESPONSE_DETECTED",
};

export default {
  BRIDGE_MESSAGE_TYPES,
  RESPONSE_MESSAGE_TYPES,
};
